Is OpenJDK supported by Confluence?

Still need help?

The Atlassian Community is here for you.

Ask the community

Confluence 6.13 and later

We support running Confluence 6.13 and later with AdoptOpenJDK 8. AdoptOpenJDK is free to use, and provides regular maintenance and security updates. Paid support for AdoptOpenJDK is also available from organisations such as IBM. 

Note that AdoptOpenJDK is the only OpenJDK vendor supported at this time.  We also support running Confluence on Oracle JDK / JRE. 

Confluence 6.12 and earlier

OpenJDK is not supported in Confluence 6.12 or earlier.  A number of problems can occur when using OpenJDK, as Confluence's internal code as well as third party plugins assume you are using a supported JDK.


Last modified on Dec 3, 2018

Was this helpful?

Yes
No
Provide feedback about this article
Powered by Confluence and Scroll Viewport.